SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Generic)  >   Jackson Library Vendors:   Jackson Project
Jackson Library Deserialization Flaw in jackson-databind Lets Remote Users Execute Arbitrary Code on the Target System
SecurityTracker Alert ID:  1039769
SecurityTracker URL:  http://securitytracker.com/id/1039769
CVE Reference:   CVE-2017-15095, CVE-2017-17485, CVE-2018-5968   (Links to External Site)
Updated:  Feb 15 2018
Original Entry Date:  Nov 14 2017
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in Jackson Library. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted data to the readValue() method of the ObjectMapper to trigger a deserialization flaw and execute arbitrary code on the target system.

[Editor's note: The original vulnerability was assigned CVE-2017-15095. Some additional vulnerable classes were identified and have been assigned CVE-2017-17485 and CVE-2018-5968.]

Liao Xinxi (NSFOCUS) and 0c0c0f from 360-sg-lab reported these vulnerabilities.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor issued a fix (2.8.11.1, 2.9.4).

The vendor advisories are available at:

https://github.com/FasterXML/jackson-databind/issues/1680
https://github.com/FasterXML/jackson-databind/issues/1723
https://github.com/FasterXML/jackson-databind/issues/1737
https://github.com/FasterXML/jackson-databind/issues/1855
https://github.com/FasterXML/jackson-databind/issues/1899

Vendor URL:  github.com/FasterXML/jackson-databind (Links to External Site)
Cause:   Access control error, Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Nov 14 2017 (Red Hat Issues Fix) Jackson Library Deserialization Flaw in jackson-databind Lets Remote Users Execute Arbitrary Code on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 7, 7.3, and 7.4.
Nov 14 2017 (Red Hat Issues Fix) Jackson Library Deserialization Flaw in jackson-databind Lets Remote Users Execute Arbitrary Code on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 7.
Feb 22 2018 (Red Hat Issues Fix) Jackson Library Deserialization Flaw in jackson-databind Lets Remote Users Execute Arbitrary Code on the Target System
Red Hat has issued a fix for Red Hat Enterprise Linux 7, 7.3, and 7.4
Jul 17 2018 (Oracle Issues Fix for Oracle Database) Jackson Library Deserialization Flaw in jackson-databind Lets Remote Users Execute Arbitrary Code on the Target System
Oracle has issued a fix for Oracle Database.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC